#!/bin/csh 
# ----------------------------------------------------------------------
#Makefile for parallel compiling of poisson.f on blackbear.ahpcc.unm.edu
# ----------------------------------------------------------------------
# variables


FCOMPLR	  = mpif90
FCFLAGS	  = -c  -Mfree  -w   
FINCLPATH = #-I/usr/parallel/mpich-gm.pgi/include
LDFLAGS	  = 
LIBPATH   = # -L/usr/local/pgi/linux86/lib -lpgc
LIB	  = # -lpgc 


#============================================================================ 
# make PROGRAM   
#============================================================================

PROGRAM = poisson

OBJECTS = string_utilities.o	\
	  poisson_routines.o	\
		poisson.o	
   
#============================================================================ 
# Linking    
#============================================================================

$(PROGRAM) : $(OBJECTS) 
	$(FCOMPLR) $(LDFLAGS)  $(OBJECTS)  $(LIBPATH) $(LIB) -o $@


#============================================================================
#  specific dependencies
#============================================================================
string_utilities.o:  string_utilities.f
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH)  string_utilities.f

poisson_routines.o:  poisson_routines.f 
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH)  poisson_routines.f

poisson.o:  poisson.f poisson_routines.o string_utilities.o
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH) poisson.f

#============================================================================
#  clean up
#============================================================================

clean :
	rm *.o 

