/* ========================================================== */
/*  [[ Compiler option ]]                             	      */
/*          IBM : xlc         -c cup_time.c                   */
/*        LINUX : gcc -DLINUX -c cup_time.c                   */
/*          SUN : gcc -DUNDER -c cpu_time.c                   */
/*          SGI : cc  -DUNDER -c cpu_time.c                   */ 
/*  [[ USAGE  ]]                                              */
/*           t1 = CPU_TIME()                                  */
/*              .....                                         */
/*           t2 = CPU_TIME()                                  */
/*           PRINT*,' User (CPU) time = ',t2 - t1             */
/* ========================================================== */


#ifdef LINUX
#define CPU_TIME cpu_time__
#else 
#ifdef UNDER
#define CPU_TIME cpu_time_
#else
#define CPU_TIME cpu_time
#endif
#endif

#include <sys/times.h>  /* for struct tms and times() */
#include <time.h>       /* for CLK_TCK value */

double CPU_TIME(void) {
    struct tms tms_time;  /* user and system time */
    clock_t real_time; /* real time */
    real_time = times( &tms_time );
    return tms_time.tms_utime/(double)CLK_TCK;
}



/*============================================================*/
/* Copyright (C) 1995  Kachina Technologies. Inc.             */
/* Author: Ward H. Deng                                       */
/* This function computes the elapsed time from beginning of  */
/* POSIX defines the <sys/times.h> function for subsecond     */
/* timing.  Sun seems to provide about 1/60 second accuracy.  */
/* File : cpu_time.c in ANSI C source form                    */
/* Modified by Terrence Liao 1997                             */
/* The TIME here is the USER TIME                             */
/*============================================================*/

